Skip to content

Transition Task Instance ​

Advance or revert a task instance to a new state in its configured workflow. Requires READ, ADMIN, or MANAGE_TO_DO permissions.

Parameters ​

name * are required parametersdata typedescription
instanceId*stringThe unique identifier of the task instance
body.state*stringThe target state to transition to
body.dataobjectAny data to save during the transition
body.commentobjectComment to save and include in notifications

Return Value ​

The updated task instance with the new state applied.

Examples ​

bash
curl -X PUT "https://app.wombat.software/api/{targetPath}/task/:instanceId/transition" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer ..." \
  -d '{"state": "closed", "comment": {"type": "doc", "content": []}}'

ENDPOINTS

put/api/{targetPath}/task/:instanceId/transition